------------------------------------------------------------------------------------
--Name：            210119[简体征服][活动脚本]白色情人节活动
--Creator:      戴鑫海
--Created:     2021-01-19
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>117


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(336,260)
local General1 = CppScriptMgr:AddSimplePlayer(1051050,336,260, "[Alice in Wonderland] Mysterious Woman");
General1:SetAction(150);
General1:SetAction(150);
General1:SetAction(150);
CppScriptMgr:WaitMilSec(2000)
General1:Say("Dreams are like vortexes. Once intoxicated, it`ll be hard for you to wake up!",2000)
CppScriptMgr:WaitMilSec(1000)
local effect1 = CppScriptMgr:AddEffect("cyclonehandcycle",343,257)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:ClearEffect(effect1);
General1:Say("Come on, Bullman! This stupid young man is yours.",2000)
CppScriptMgr:WaitMilSec(2000)
General1:SetPos(1000,1000);
local effect2 = CppScriptMgr:AddEffect("BodyDisapear",343,257)
CppScriptMgr:WaitMilSec(1000)
local General2 = CppScriptMgr:AddSimplePlayer(1059180,343,257, "Bullman");
General2:SetZoomPercent(200);
General2:SetAction(160);
General2:SetAction(160);
CppScriptMgr:WaitMilSec(2000)
